Subject: Re: bug#60001: [PATCH] Improve completion of treesit-check-indent command

From: Stefan Kangas <[email-masked]>
Date: Mon, 4 Sep 2023 13:02:23 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Yuan Fu <[email-masked]>
>> Date: Sat, 7 Jan 2023 15:13:54 -0800
>> Cc: Daniel Martín <[email-masked]>,
>>  [email-masked]
>>
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> Date: Mon, 12 Dec 2022 11:53:00 +0100
>> >> From:  Daniel Martín via "Bug reports for GNU Emacs,
>> >>  the Swiss army knife of text editors" <[email-masked]>
>> >>
>> >> The treesit-check-indent command is not really related to Tree-sitter
>> >> and could be in a more general place than treesit.el.  WDYT?
>> >
>> > I agree, but then we'd need a definition for it that doesn't need
>> > tree-sitter support.  Is that easy to provide?
>> >
>> >> In any case, I have a patch to improve this command a bit by offering
>> >> more accurate completion for major modes, not Emacs commands.  I have
>> >> also tried to improve its documentation a bit.
>> >
>> > How about a read-major-mode function in subr.el?
>> >
>> > But I think all these generalizations and improvements should go to
>> > master.  On the release branch, I'd prefer to leave
>> > treesit-check-indent alone.
>>
>> Has this patch been pushed to master?
>
> No, I don't think so.
>
>> Should I close this report?
>
> If you agree with the change, please install it.

It seems like this patch was never installed.  Should it be?